<!DOCTYPE html>
<html lang="en">

<head>
	<!-- Required meta tags -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<!--iOs specific - to display as web app (fullscreen)-->
	<meta name="apple-mobile-web-app-title" content="Virtual Interiors 3D Research Environment" />
	<meta name="apple-mobile-web-app-capable" content="yes">

	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

	<title>Virtual Interiors 3D Research Environment (prototype)</title>

	<link href="data/css/fontawesome/all.css" rel="stylesheet" type="text/css">
</head>

<body>

	<!--Initial loading screen-->
	<div id="loadingScreen">Loading Application ...</div>

	<!--Main application content, hidden while loading-->
	<div id="allApplicationContents" style="display:none;">
		<!-- column-based layout -->
		<div class="container"></div>
		<div class="row">
			<!-- main content panel -->
			<div class="col" id="colMainContent">
				<img src="data/images/vi-logo.png" id="viLogo">
				<!-- button panel overlay -->
				<nav class="navbar navbar-expand-sm navbar-light">
					<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav">
						<span class="navbar-toggler-icon"></span>
					</button>

					<div class="collapse navbar-collapse" id="navbarNav">
						<button type="button" id="buttonFullScreen" class="btn btn-sm btn-secondary bg-color-two">
							<div>
								<span class="fas fa-arrows-alt menu-icon-styling" title="Fullscreen"></span>
								&nbsp;
								<span style='float:right' class='d-none d-lg-block'> Fullscreen</span>
							</div>
						</button>
						&nbsp;
						<button type="button" id="buttonStartGuidedTour" class="btn btn-sm btn-secondary bg-color-two">
							<div>
								<span class="fas fa-directions menu-icon-styling" title="Start Guided Tour"></span>
								&nbsp;
								<span style='float:right' class='d-none d-lg-block'> Tour</span>
							</div>
						</button>

						<div class="btn-group" role="group">
							&nbsp;
							<button id="btnGroupDrop3" type="button"
								class="btn btn-sm btn-secondary dropdown-toggle caret-off bg-color-six"
								data-toggle="dropdown">
								<div>
									<span class="fas fa-video menu-icon-styling" title="Camera icon"></span>
										&nbsp;
									<span style='float:right' class='d-none d-lg-block'> Camera</span>
								</div>
							</button>
							<div class="dropdown-menu">
								<a class="dropdown-item" id="buttonChangeCameraFirstPerson" href="#">
									First-person&nbsp;&nbsp;
									<span class="fas fa-desktop" title="Desktop icon"></span>
								</a>
								<a class="dropdown-item" id="buttonChangeCameraOrbit" href="#">
									Orbit&nbsp;&nbsp;
									<span class="fas fa-desktop" title="Desktop icon"></span>
								</a>
								<a class="dropdown-item" id="buttonChangeCameraFirstPersonVR" href="#">
									First-person (VR)&nbsp;&nbsp;
									<span class="fas fa-vr-cardboard" title="Cardboard icon"></span>
								</a>
								<a class="dropdown-item" id="buttonChangeCameraFirstPersonPhone" href="#">
									First-Person (Mobile/Tablet)&nbsp;&nbsp;
									<span class="fas fa-mobile-alt" title="Mobile phone icon"></span>
								</a>
								<a class="dropdown-item btn-debug" id="buttonChangeCameraFirstPersonCardboardVR" href="#">
									First-person (Cardboard VR)&nbsp;&nbsp;
									<span class="fas fa-vr-cardboard" title="Cardboard icon"></span>
									</a>
							</div>
						</div>

						<div class="btn-group" role="group">
							&nbsp;
							<button id="btnGroupDrop5" type="button"
								class="btn btn-sm btn-secondary dropdown-toggle caret-off bg-color-six"
								data-toggle="dropdown">
								<div>
									<span class="fas fa-sun menu-icon-styling" title="Sun icon"></span>
									&nbsp;
									<span style='float:right' class='d-none d-lg-block'> Lighting</span>
								</div>
							</button>
							<div class="dropdown-menu">
								<a class="dropdown-item" id="buttonLightsSetting0" href="#">Default lighting
									setting</a>
								<a class="dropdown-item" id="buttonLightsSetting1" href="#">Lighting setting
									#1</a>
								<a class="dropdown-item" id="buttonLightsSetting2" href="#">Lighting setting
									#2</a>
								<a class="dropdown-item" id="buttonLightsSetting3" href="#">Lighting setting
									#3</a>
							</div>
						</div>

						<div class="btn-group btn-optional" role="group">
							&nbsp;
							<button id="btnGroupDrop1" type="button"
								class="btn btn-sm btn-secondary dropdown-toggle caret-off bg-color-six"
								data-toggle="dropdown">
								<div>
									<span class="fas fa-chart-line menu-icon-styling" title="Chart icon"></span>
									&nbsp;
									<span style='float:right' class='d-none d-lg-block'> Analysis Views</span>
								</div>
							</button>
							<div class="dropdown-menu">
								<a class="dropdown-item" id="buttonCertaintyIndexOff" href="#">
									 Standard view
								</a>
								<a class="dropdown-item" id="buttonCertaintyIndexObject" href="#">
									<span class="fas fa-cube" title="Cube icon"></span>
									 Confidence	Index view (objects)
								</a>
								<a class="dropdown-item" id="buttonCertaintyIndexLocation" href="#">
									<span class="fas fa-location-arrow" title="Location icon"></span>
									 Confidence Index view (locations of object)
								</a>
								<a class="dropdown-item" id="buttonColorCodingCategories" href="#">
									<span class="fas fa-th" title="Grid icon"></span>
									 Object categories view
								</a>
								<a class="dropdown-item" id="buttonObjectHideOthers" href="#">
									<span class="fas fa-x-ray" title="X-Ray icon"></span>
									 X-Ray view
								</a>
							</div>
						</div>

						<div class="btn-group" role="group">
							&nbsp;
							<button id="btnGroupDrop2" type="button"
								class="btn btn-sm btn-secondary dropdown-toggle caret-off bg-color-six" data-toggle="dropdown">
								<div>
									<span class="fas fa-wrench menu-icon-styling" title="Wrench icon"></span>
									&nbsp;
									<span style='float:right' class='d-none d-lg-block'> Settings</span>
								</div>
							</button>
							<div class="dropdown-menu">
								<a class="dropdown-item btn-debug" id="buttonHighlightingDynamic" href="#">Dynamically
									highlight clickable objects (default)</a>
								<a class="dropdown-item btn-debug" id="buttonHighlightingOff" href="#">Do not highlight
									clickable objects</a>
								<div class="dropdown-divider btn-debug"></div>
								<a class="dropdown-item" id="buttonMeshLabelsOnSelection" href="#">Toggle
									labels (objects with metadata)</a>
								<a class="dropdown-item btn-debug" id="buttonMeshLabelsOn" href="#">Toggle labels (mesh names)</a>
								<div class="dropdown-divider"></div>
								<a class="dropdown-item" id="buttonRenderQuality" href="#">Toggle image quality
									(low/high)</a>
								<a class="dropdown-item" id="buttonEnableAmbientOcclusion" href="#">Toggle ambient
									occlusion (LQ/HQ/off)</a>
								<a class="dropdown-item btn-debug" id="buttonFPSCounter" href="#">Toggle FPS counter</a>
								<div class="dropdown-divider"></div>
								<a class="dropdown-item" id="buttonDebugMenu" href="#">Developer: toggle experimental menu
									options</a>
							</div>
						</div>

						&nbsp;
						<button type="button" id="buttonHelp" class="btn btn-sm btn-secondary bg-color-two">
							<div>
								<span class="fas fa-question-circle menu-icon-styling" title="icon name">&nbsp;</span>
								
								<span style='float:right' class='d-none d-xl-block'>&nbsp;Controls </span>
							</div>
						</button>

						<div class="btn-group btn-debug" role="group">
							&nbsp;
							<button id="btnGroupDrop4" type="button"
								class="btn btn-sm btn-light dropdown-toggle caret-off" data-toggle="dropdown">
								<div>
									<span class="fas fa-check-square menu-icon-styling" title="icon name">&nbsp;</span>
									<span style='float:right' class='d-none d-xl-block'>&nbsp;Debug</span>
								</div>
							</button>
							<div class="dropdown-menu">
								<a class="dropdown-item" id="buttonStartSceneOptimizer" href="#">Start
									SceneOptimizer</a>
								<a class="dropdown-item" id="buttonCameraPositionLog" href="#">Log current camera
									position</a>
								<a class="dropdown-item" id="buttonEnableLensEffects" href="#">Toggle lens effects
									(experimental)</a>
								<a class="dropdown-item" id="buttonMeshLabelsOff" href="#">Do not show object labels</a>
								<div class="dropdown-divider"></div>
								<a class="dropdown-item" id="buttonSelectionModeActivateGizmo" href="#">Selections:
									change object properties (dbl-click)*</a>
								<a class="dropdown-item" id="buttonSelectionModeHideOthers" href="#">Selections: hide
									other meshes</a>
								<a class="dropdown-item" id="buttonSelectionModeDeleteMesh" href="#">Selections: delete
									mesh*</a>
								<a class="dropdown-item" id="buttonSelectionModeHideMesh" href="#">Selections: mesh
									visibility: 0%</a>
								<a class="dropdown-item" id="buttonSelectionModeTransparentMesh1" href="#">Selections:
									mesh visibility: 20%</a>
								<a class="dropdown-item" id="buttonSelectionModeTransparentMesh2" href="#">Selections:
									mesh visibility: 50%</a>
								<a class="dropdown-item" id="buttonSelectionModeShowMesh" href="#">Selections: mesh
									visibility: 100%</a>
								<a class="dropdown-item" id="buttonSelectionModeHighlightMesh" href="#">Selections:
									highlight multiple meshes</a>
								<a class="dropdown-item" id="buttonSelectionModeRecolor" href="#">Selections: random
									recolor*</a>
								<a class="dropdown-item" id="buttonSelectionModeWireframes" href="#">Selections:
									wireframes*</a>
								<a class="dropdown-item" id="buttonSelectionModeToggleSelectLockedMeshes"
									href="#">Toggle selection of locked meshes</a>
								<a class="dropdown-item" id="buttonSelectionModeReset" href="#">Reset selection mode</a>
								<div class="dropdown-divider"></div>
								<a class="dropdown-item" id="buttonCollisionDetection" href="#">Turn on collision
									detection (experimental)</a>
								<a class="dropdown-item" id="buttonGravity" href="#">Turn off gravity (experimental)</a>
								<a class="dropdown-item" id="buttonToggleDoNotSetVRCameraDefaults" href="#">Toggle do
									not set VR Camera defaults</a>
							</div>
							&nbsp;&nbsp;
						</div>

						<!--alert box to reset current search filters-->
						<div class="btn-group alert-primary alert-button" role="alert" id="alertResetView">
							Reset view
						</div>
						<div class="btn-group alert-primary alert-button" role="alert" id="alertTextFilterInput">
							Remove filters X
						</div>
				</nav>

				<!--legend (analysis layers) panel-->
				<div class="alert alert-light alertInfoBox" role="alert" id="alertInfoBox">
					<button type="button" id="alertInfoBoxClose" class="btn btn-x-sm btn-light bg-color-one float-right">
						<span class="fas fa-times"></span>
					</button>
					<div id="alertInfoBoxTitle" class="alertInfoBoxTitle"></div>
					<div id="alertInfoBoxDescription" class="alertInfoBoxDescription"></div>
				</div>

				<!--info / control panel for guided tours-->
				<div class="alert alert-light alertInfoBox" role="alert" id="alertGuidedTourInfoBox">
					<!--alert box to reset view-->
					<button type="button" id="alertGuidedTourInfoBoxClose" class="btn btn-x-sm btn-secondary bg-color-one float-right">
						<span class="fas fa-times"></span>
					</button>
					<div id="alertGuidedTourInfoBoxTitle" class="alertInfoBoxTitle"></div>
					<div id="alertGuidedTourInfoBoxDescription" class="alertInfoBoxDescription"></div>
					<!-- guided tour buttons-->
					<span id="spanGuidedTourControls">
						<button type="button" id="buttonGuidedTourPreviousPosition"
							class="btn btn-x-sm btn-secondary bg-color-two">
							<span class="fas fa-arrow-circle-left" title="Left icon"></span>
							&nbsp;
							<span class='d-none d-md-block float-right'>
								Previous</span>
							</button>
						<button type="button" id="buttonGuidedTourNextPosition"
							class="btn btn-x-sm btn-secondary bg-color-two">
							<span class="fas fa-arrow-circle-right" title="Right icon" ></span>
							&nbsp;
							<span class='d-none d-md-block float-right'>
								Next</span>
						</button>
						<button type="button" id="buttonGuidedTourMoreInfo"
							class="btn btn-x-sm btn-light bg-color-five">
							<span class="fas fa-info-circle" title="More info icon"></span>
							&nbsp;
							<span class='d-none d-md-block float-right'>
								 More info
							</span>
						</button>
					</span>
				</div>

				<!--Canvas where BabylonJS 3D scene will be projected-->
				<canvas id="renderCanvas"></canvas>
				<!--optional FPS indicator (hidden by default)-->
				<span id="spanFPSLabel"></span>

			</div>
			<!--Sidebar info panels [][X][]-->
			<div class="d-none d-md-block col-md-4 col-lg-3" id="columnSidebar">
				<div class="tab-content">
					<!--Panel: general information-->
					<div class="tab-pane fade show active" id="tabHomeContent" role="tabpanel">
						<div class="card" id="generalInfoCard">
							<div class="card-body">
								<div id="textGeneralInfoTitle" class="card-title"></div>

								<!--Subtabs-->
								<ul class="nav nav-tabs" role="tablist">
									<li class="nav-item">
										<a class="nav-link active" data-toggle="tab"
											href="#generalInfoTabContent">Details</a>
									</li>
									<li class="nav-item">
										<a class="nav-link" data-toggle="tab"
											href="#textGeneralInfoFurtherInformation">Further reading</a>
									</li>
								</ul>

								<!--Subtab container -->
								<div class="tab-content">
									<!--Subtab: general information-->
									<div class="tab-pane fade show active" id="generalInfoTabContent" role="tabpanel">
										<div id="textGeneralInfoDescription" class="card-text"></div>
										<div id="imgCarousel" class="carousel slide figure-img img-fluid rounded"
											data-ride="carousel" data-interval="false">
											<div class="carousel-inner">
												<div class="carousel-item active" id="carouselItem1">
													<figure class="figure">
														<img src="data/images/transparent-image.png"
															id="imageGeneralInfo1" class="d-block w-100 clickableImg"
															alt="..." data-target="#imageOverlay" data-toggle="modal">
														<figcaption class="figure-caption card-img-caption"
															id="imageGeneralInfoCaption1"></figcaption>
													</figure>
												</div>
												<div class="carousel-item" id="carouselItem2">
													<figure class="figure">
														<img src="data/images/transparent-image.png"
															id="imageGeneralInfo2" class="d-block w-100 clickableImg"
															alt="..." data-target="#imageOverlay" data-toggle="modal">
														<figcaption class="figure-caption card-img-caption"
															id="imageGeneralInfoCaption2"></figcaption>
													</figure>
												</div>
												<div class="carousel-item" id="carouselItem3">
													<figure class="figure">
														<img src="data/images/transparent-image.png"
															id="imageGeneralInfo3" class="d-block w-100 clickableImg"
															alt="..." data-target="#imageOverlay" data-toggle="modal">
														<figcaption class="figure-caption card-img-caption"
															id="imageGeneralInfoCaption3"></figcaption>
													</figure>
												</div>
												<div class="carousel-item" id="carouselItem4">
													<figure class="figure">
														<img src="data/images/transparent-image.png"
															id="imageGeneralInfo4" class="d-block w-100 clickableImg"
															alt="..." data-target="#imageOverlay" data-toggle="modal">
														<figcaption class="figure-caption card-img-caption"
															id="imageGeneralInfoCaption4"></figcaption>
													</figure>
												</div>
												<div class="carousel-item" id="carouselItem5">
													<figure class="figure">
														<img src="data/images/transparent-image.png"
															id="imageGeneralInfo5" class="d-block w-100 clickableImg"
															alt="..." data-target="#imageOverlay" data-toggle="modal">
														<figcaption class="figure-caption card-img-caption"
															id="imageGeneralInfoCaption5"></figcaption>
													</figure>
												</div>
												<div class="carousel-item" id="carouselItem6">
													<figure class="figure">
														<img src="data/images/transparent-image.png"
															id="imageGeneralInfo6" class="d-block w-100 clickableImg"
															alt="..." data-target="#imageOverlay" data-toggle="modal">
														<figcaption class="figure-caption card-img-caption"
															id="imageGeneralInfoCaption6"></figcaption>
													</figure>
												</div>
											</div>
											<a class="carousel-control-prev" href="#imgCarousel" role="button"
												data-slide="prev">
												<span class="carousel-control-prev-icon"></span>
												<span class="sr-only">Previous</span>
											</a>
											<a class="carousel-control-next" href="#imgCarousel" role="button"
												data-slide="next">
												<span class="carousel-control-next-icon"></span>
												<span class="sr-only">Next</span>
											</a>
										</div>
									</div>

									<!--Subtab: further reading-->
									<div class="tab-pane fade" id="textGeneralInfoFurtherInformation" role="tabpanel">
										Further reading content will appear here.
									</div>
								</div>
							</div>
						</div>
					</div>

					<!--Panel: object (inspector)-->
					<div class="tab-pane fade" id="tabObjectContent" role="tabpanel">
						<div class="card" id="elementInfoCard">
							<div class="card-body">
								<div id="" class="">
									<span>
										<span id="textInfoCardTitle" class="card-title"></span>
										<button id="buttonCloseObject" type="button"
											class="btn btn-light btn-sm btn-object-close bg-color-one">
											<div>
												<span class="fas fa-times menu-icon-styling" title="Close"></span>&nbsp;
												<span style='float:right' class='d-none d-xl-block'></span>
											</div>
										</button>
										<div class="btn-group btn-object-edit" role="group">
											<button id="btnGroupObjectTools" type="button"
												class="btn btn-secondary btn-sm btn-object dropdown-toggle caret-off bg-color-two" data-toggle="dropdown">
												<div>										
													<span class="fas fa-vector-square"></span>
													<span class="d-none d-xl-inline"> Object</span>											
												</div>
											</button>

											<div class="dropdown-menu">
												<a class="dropdown-item btn-debug" id="buttonObjectOpacity0"
													href="#">Set opacity: 0%</a>
												<a class="dropdown-item btn-debug" id="buttonObjectOpacity20"
													href="#">Set opacity: 20%</a>
												<a class="dropdown-item btn-debug" id="buttonObjectOpacity50"
													href="#">Set opacity: 50%</a>
												<a class="dropdown-item btn-debug" id="buttonObjectOpacity100"
													href="#">Set opacity: 100%</a>
												<a class="dropdown-item btn-debug" id="buttonObjectReset" href="#">Reset
													view</a>
												<div class="dropdown-divider btn-debug"></div>
												<a class="dropdown-item" id="buttonObjectCustomize" href="#"> <span
														class="fas fa-arrows-alt" title="icon name">
													</span>
													&nbsp; Move / resize (experimental)*
												</a>
												<a class="dropdown-item btn-debug" id="buttonObjectRecolor"
													href="#"><span class="fas fa-palette" title="icon name"></span>
													&nbsp; Random recolor*
												</a>
												<a class="dropdown-item" id="buttonObjectDelete" href="#">
													<span class="fas fa-trash-alt" title="Trash icon"></span>
														&nbsp; Delete*
												</a>
											</div>
											&nbsp;
										</div>
									</span>
								</div>

								<!--Subtabs-->
								<ul class="nav nav-tabs" role="tablist">
									<li class="nav-item">
										<a class="nav-link active" data-toggle="tab"
											href="#inspectorPropertiesTabContent">Details</a>
									</li>
									<li class="nav-item" id="inspectorDataExplorationTab">
										<a class="nav-link" data-toggle="tab"
											href="#inspectorDataExplorationTabContent">Linked Data</a>
									</li>
									<li class="nav-item">
										<a class="nav-link" data-toggle="tab"
											href="#inspectorAnnotationTabContent">Annotations</a>
									</li>
								</ul>

								<!--Subtab: Object Details-->
								<div class="tab-content">
									<div class="tab-pane fade show active" id="inspectorPropertiesTabContent" role="tabpanel">
										<div class="accordion" id="accordionExample">
											<div class="card">
												<div class="card-header bg-color-five" id="headingOne">
													<h2 class="mb-0">
														<button class="btn btn-link btn-block text-left collapsed"
															type="button" data-toggle="collapse" data-target="#collapseOne" id="buttonReconstruction">
															Reconstruction <i class="fas fa-chevron-down chevronStyle"></i>
														</button>
														<i></i>
													</h2>
												</div>
												<div id="collapseOne" class="collapse show bg-accordeon" data-parent="#accordionExample">
													<div id="textInfoCardDescription" class="card-text-accordeon"></div>
													<div id='scaleInfoConfidence' class="card-text-accordeon">
														<b>Confidence index:</b> object
														<span class="fas fa-info-circle info-button" data-html="true"
															data-tooltip="tooltip"
															title="1: original<br>2: primary source + analogy with certainty<br>3: primary source + analogy with doubt<br>4: uncertain"
															data-toggle="tooltip"></span>
														<div class="progress">
															<div id="scaleInfoConfidenceObject"
																class="progress-bar bg-success" role="progressbar"
																style="width: 25%">
																<span id="spanInfoConfidenceObjectNumberDisplay"
																	class="infoConfidenceNumberDisplay">#</span>
															</div>
															&nbsp;
															<button type="button" data-tooltip="tooltip"
																title="Toggle Analysis View"
																id="buttonCertaintyIndexObjectEmbedded"
																class="btn btn-x-sm btn-light bg-color-five">
																<div><span class="fas fa-chart-line" title="icon name"></span></div>
															</button>
														</div>
														<b>Confidence index:</b> location
														<span class="fas fa-info-circle info-button" data-html="true"
															data-tooltip="tooltip"
															title="1: known/in original location<br>2: inferred with certainty<br>3: inferred with doubt<br>4: uncertain"
															data-toggle="tooltip"></span>
														<div class="progress">
															<div id="scaleInfoConfidenceLocation"
																class="progress-bar bg-success" role="progressbar"
																style="width: 25%">
																<span id="spanInfoConfidenceLocationNumberDisplay"
																	class="infoConfidenceNumberDisplay">3</span>
															</div>
															&nbsp;
															<button type="button" data-tooltip="tooltip"
																title="Toggle Analysis View"
																id="buttonCertaintyIndexObjectLocationEmbedded"
																class="btn btn-x-sm btn-light bg-color-five">
																<div><span class="fas fa-chart-line" title="icon name"></span></div>
															</button>
														</div>
													</div>
													<div id="textInfoCardCategory" class="card-text-accordeon">Category
													</div>
													<div id="textInfoCardSimilarObjects" class="card-text-accordeon">SimilarObj
													</div>
													<div id="textInfoCardAlternateHypothesis" class="card-text-accordeon">AlternateHyp
													</div>
												</div>
											</div>

											<div class="card">
												<div class="card-header bg-color-five" id="headingTwo">
													<h2 class="mb-0">
														<button class="btn btn-link btn-block text-left collapsed"
															type="button" data-toggle="collapse"
															data-target="#collapseTwo" id="buttonComparisons">
															Object comparisons <i class="fas fa-chevron-down chevronStyle"></i>
														</button>
													</h2>
												</div>
												<div id="collapseTwo" class="collapse bg-accordeon" data-parent="#accordionExample">
													<figure
														class="figure card-img-accordeon figure-img img-fluid rounded">
														<img src="" id="imageInfoCardImage"
															class="w-100 clickableImg" role="button"
															alt="Image here" data-target="#imageOverlay"
															data-toggle="modal">
														<figcaption class="figure-caption card-img-caption"
															id="imageInfoCardImageCaption"></figcaption>
													</figure>
													<div id="textObjectInformation" class="card-text-accordeon"></div>
													<div id="textCreatorInformation" class="card-text-accordeon"></div>
												</div>
											</div>

											<div class="card">
												<div class="card-header bg-color-five" id="headingThree">
													<h2 class="mb-0">
														<button class="btn btn-link btn-block text-left collapsed"
															type="button" data-toggle="collapse" data-target="#collapseThree" id="button3DModel">
															3D model <i class="fas fa-chevron-down chevronStyle"></i>
														</button>
													</h2>
												</div>
												<div id="collapseThree" class="collapse bg-accordeon" data-parent="#accordionExample">
													<div id="text3DModelInformation" class="card-text-accordeon">
													</div>
												</div>
											</div>

										</div>
									</div>

									<!--Subtab: Linked Data-->
									<div class="tab-pane fade" id="inspectorDataExplorationTabContent" role="tabpanel">
										<div class="accordion" id="accordionLOD">
											<div class="card">
												<div class="card-header bg-color-five" id="headingLODOne">
													<h2 class="mb-0">
														<button class="btn btn-link btn-block text-left collapsed"
															type="button" data-toggle="collapse"
															data-target="#collapseLODOne">
															External sources <span id="badgeHeadingLODOne"
																class="badge badge-light badge-pill">-1</span> <i
																class="fas fa-chevron-down chevronStyle"></i>
														</button>
														<i></i>
													</h2>
												</div>
												<div id="collapseLODOne" class="collapse show bg-accordeon"
													data-parent="#accordionLOD">
													<div id="textExternalVocabularies" class="card-text-accordeon">
													</div>
												</div>
											</div>

											<div class="card">
												<div class="card-header bg-color-five" id="headingLODTwo">
													<h2 class="mb-0">
														<button class="btn btn-link btn-block text-left collapsed"
															type="button" data-toggle="collapse"
															data-target="#collapseLODTwo">
															Works by same creator <span id="badgeHeadingLODTwo"
																class="badge badge-light badge-pill">-1</span> <i
																class="fas fa-chevron-down chevronStyle"></i>
														</button>
													</h2>
												</div>
												<div id="collapseLODTwo" class="collapse bg-accordeon" data-parent="#accordionLOD">
													<div id="textWorksByCreator" class="card-text-accordeon">
													</div>
												</div>
											</div>

											<div class="card">
												<div class="card-header bg-color-five" id="headingLODThree">
													<h2 class="mb-0">
														<button class="btn btn-link btn-block text-left collapsed"
															type="button" data-toggle="collapse"
															data-target="#collapseLODThree">
															Works of similar type <span id="badgeHeadingLODThree"
																class="badge badge-light badge-pill">-1</span> <i
																class="fas fa-chevron-down chevronStyle"></i>
														</button>
													</h2>
												</div>
												<div id="collapseLODThree" class="collapse bg-accordeon" data-parent="#accordionLOD">
													<div id="textWorksOfSameType" class="card-text-accordeon"></div>
												</div>
											</div>

										</div>

									</div>

									<!--Subtab: Annotation-->
									<div class="tab-pane fade" id="inspectorAnnotationTabContent" role="tabpanel">
										<div id="alertAnnotationField" class="alert alert-primary" role="alert"></div>
										<button id="buttonCreateAnnotationObject"
											class="btn btn-secondary btn-sm bg-color-two" type="button"
											data-toggle="modal" data-target="#annotationOverlay">
											<span class="fas fa-pen" title="icon name"></span>
											Add annotation
										</button>
									</div>

								</div>

							</div>
						</div>
					</div>

					<!--Panel: Object list (search)-->
					<div class="tab-pane fade" id="tabObjectListContent" role="tabpanel">
						<div class="card">
							<div class="card-body">
								<span class="card-title">Explore objects in the scene</span>
							</div>
							<ul class="list-group list-group-flush">
								<li class="list-group-item">
									<input type="text" id="inputFieldFilterInput" placeholder="Filter objects in scene.."></input>
									<div id="textObjectList">
										loading ...
									</div>
								</li>
							</ul>
						</div>
					</div>
				</div>
			</div>

			<!--Sidebar "pills" navigation (icons/text [][][X])-->
			<div id="columnSidebarNav" class="d-none d-md-block col-md-1 col-lg-1">
				<ul role="tablist" class="nav nav-pills">
					<li class="nav-item">
						<a class="nav-link active" id="tabHome" data-toggle="tab" href="#tabHomeContent" role="tab">
							<i class="fas fa-cube" style="margin-top: 10px;"></i>
							<div class="col-sidebar-nav-link-text" id="buttonGeneral">General</div>
						</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" id="tabObject" data-toggle="tab" href="#tabObjectContent" role="tab">
							<i class="fas fa-info-circle"></i>
							<div class="col-sidebar-nav-link-text" id="buttonInspector">Inspector</div>
						</a>
					</li>

					<li class="nav-item">
						<a class="nav-link" id="tabObjectList" data-toggle="tab" href="#tabObjectListContent" role="tab">
							<i class="fas fa-list"></i>
							<div class="col-sidebar-nav-link-text" id="buttonList">Object list</div>
						</a>
					</li>

					<li class="nav-item" id="toggleSidebarHiddenTab">
						<a class="nav-link" id="toggleSidebarHiddenButton" role="tab">
							<i class="fas fa-toggle-on"></i>
							<div class="col-sidebar-nav-link-text">Sidebar</div>
						</a>
					</li>
				</ul>
			</div>

			<!-- Annotation popup -->
			<div class="modal" id="annotationOverlay" tabindex="-1" role="dialog">
				<div class="modal-dialog" role="document">
					<div class="modal-content">
						<div class="modal-header">
							<h5 class="modal-title">Add an annotation (not permanently stored)</h5>
							<button type="button" class="close" data-dismiss="modal">
								<span>&times;</span>
							</button>
						</div>
						<div class="modal-body">
							<input class="form-control" id="inputFieldAnnotationText"
								placeholder="Enter your annotation here">
						</div>
						<div class="modal-footer">
							<button type="button" id="buttonSaveAnnotation" class="btn btn-primary bg-color-one btn-sm"
								data-dismiss="modal">Save</button>
							<button type="button" class="btn btn-secondary btn-sm bg-color-two"
								data-dismiss="modal">Cancel</button>
						</div>
					</div>
				</div>
			</div>

			<!-- Large img popup -->
			<div class="modal fade" id="imageOverlay" tabindex="-1" role="dialog">
				<div class="modal-dialog modal-lg" role="document">
					<div class="modal-content">
						<div class="modal-header">
							<h5 class="modal-title">Picture</h5>
							<button type="button" class="close" data-dismiss="modal">
								<span>&times;</span>
							</button>
						</div>
						<div class="modal-body">
							<figure class="figure">
								<img src="data/images/dummy-object.png" id="imageOverlayImage" class="w-100" alt="...">
								<figcaption class="figure-caption card-img-caption" id="imageOverlayImageTitle">Figure
									caption 1</figcaption>
								<figcaption class="figure-caption card-img-caption" id="imageOverlayImageCaption">Figure
									caption 2</figcaption>
							</figure>
						</div>
					</div>
				</div>
			</div>
		</div>

		<!--Mediaplayer popup-->
		<div class="modal" id="mediaOverlay" tabindex="-1" role="dialog">
			<div class="modal-dialog modal-lg" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title">Play media</h5>
						<button type="button" class="close" data-dismiss="modal">
							<span>&times;</span>
						</button>
					</div>
					<div class="modal-body" id="modalMediaPlayerBody">
						<!-- media player default content will be placed here -->
					</div>
				</div>
			</div>
		</div>

		<!--"About" popup-->
		<div class="modal" id="demoIntroductionOverlay" tabindex="-1" role="dialog">
			<div class="modal-dialog modal-md" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title">About this prototype</h5>
						<button type="button" class="close" data-dismiss="modal">
							<span>&times;</span>
						</button>
					</div>
					<div class="modal-body" id="textGeneralAbout">
					</div>
				</div>
			</div>
		</div>

	</div>

</body>

</html>